com.elastisys.scale.cloudpool.openstack.requests

## Class ServerExistsRequest

- java.lang.Object
- - com.elastisys.scale.cloudpool.openstack.requests.AbstractOpenstackRequest<Boolean>
  - - com.elastisys.scale.cloudpool.openstack.requests.ServerExistsRequest

All Implemented Interfaces:
  Callable<Boolean>

    public class ServerExistsRequest
    extends AbstractOpenstackRequest<Boolean>

A request that, when called, determines if a particular `Server` exists.

### Constructor Summary

Constructors
Constructor and Description
`ServerExistsRequest(com.elastisys.scale.commons.openstack.OSClientFactory clientFactory, String serverId)` Creates a new `ServerExistsRequest`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Boolean` `doRequest(org.openstack4j.api.OSClient api)` Carries out the request and returns the response.

### Methods inherited from class com.elastisys.scale.cloudpool.openstack.requests.AbstractOpenstackRequest

`call, getApiAccessConfig, getClientFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerExistsRequest

    public ServerExistsRequest(com.elastisys.scale.commons.openstack.OSClientFactory clientFactory,
                               String serverId)

Creates a new `ServerExistsRequest`.

Parameters:
  `clientFactory` - OpenStack API client factory.
  `serverId` - The server whose existence is to be queried.

### Method Detail

#### doRequest

    public Boolean doRequest(org.openstack4j.api.OSClient api)

Description copied from class: `AbstractOpenstackRequest`
Carries out the request and returns the response.

Specified by:
  `doRequest` in class `AbstractOpenstackRequest<Boolean>`
Parameters:
  `api` - An authenticated OpenStack API client that is instructed to operate against the configured region.
Returns:
  The response.